#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin>>n;
    double z[n];
    double p[n];
    double rez=0.00;
    double maks=0;
    double procent;
    for (int i=0;i<n;i++)
    {
        cin>>z[i];
        cin>>p[i];
    }
    for (int i=0;i<n;i++)
    {
        rez=0.00;
        procent=p[i];
        for (int j=0;j<n;j++)
        {
            if (procent<=p[j])
            {
                rez=rez+(z[j]/100)*procent;
            }
        }
        if (rez>maks)
            maks=rez;
    }
    cout<<fixed<<setprecision(4)<<showpoint<<maks;
}